Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations waross on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

Point - direction type line

Status
Not open for further replies.

asaese

Aerospace
Aug 27, 2012
3
Could you please explain how this is done by CATIA?
1. There is surface (S) and a point (P) on it. Also a line (L) that goes through the point (P).
2. In command line - point-direction type, select inputs above such that the surface (S) is the support and the line (L) is the direction...
3. Finally will be a computed curve on the supprot. But how is this curve made by CATIA? This is not made by a projection.
 
Replies continue below

Recommended for you

Hello asaese,

Are you referring to a line normal (perpendicular) to a surface through a point?
My other question is whether you ask for the mathematics behind the generation of the line normal to a surface, or the methodology in CATIA to achieve that?

[small]
CATIA v5 — user & trainer
ANSYS — user (beginner)
[/small]
 
Hello Tibix,

Thanks for your care about the subject.

Not normal, the line is used as the direction and would have any component of x, y, z.
Actuallay I'd like to know the methodoloy to achieve the computed curve on the surface.

 
each surface can be described by equation as below

S(x,y,z)=0

It can also be described as S(x,y,z)=f(x,y)-z=0

thus:
z=f(x,y)

so the parapendicular vector can be described as below:

n^=[df/dx,df/dy,1]*lambda
where
d/dx - partial differention
lambda - variable (used to normalize lenght of vector)

For specified point You need find values of those differentions

LukaszSz. Poland, Warsaw University of Technology, Faculty of Power and Aeronautical Engineering : MEchanical Engineering. BsC - 2013
 
It would help (a lot) if you could explain which are the starting elements and what is that you wish to accomplish... Just like in geometry, CATIA has many options to create a line.
 
HybridShapeLineNormal.Surface property will return surface to which line is normal

If Yours part is not large (doesn't contain lot of surfaces) You can do loop through all surfaces and check if oSurface (as below) is same as one of the listed surfaces

here is the example code

(as input select surface)

Code:
Sub CATMain(oSurface)

Dim LineNormal
Dim linesString
 linesString="Lines normal to  "&oSurface.Name&" :"
Set partDocument1 = CATIA.ActiveDocument
Set SurfRef = partDocument1.Part.CreateReferenceFromObject(oSurface)
Set selection1 = partDocument1.Selection
if selection1.count>0 then
for i=1 to selection1.count
if TypeName(selection1.item(i).value)="HybridShapeLineNormal" then
[b]'if SurfRef is selection1.item(i).value.Surface then[/b]
if SurfRef.DisplayName = selection1.item(i).value.Surface.DisplayName then
set LineNormal=selection1.item(i).value
linesString=linesString&Chr(10)&LineNormal.Name
End If
End If
next

msgbox linesString
Else

end if


End Sub

anyway, bolded condition isn't working for me so i'm comparising names


LukaszSz. Poland, Warsaw University of Technology, Faculty of Power and Aeronautical Engineering : MEchanical Engineering. BsC - 2013
 
@ lukaszsz
Thank you but I'm not researching about how the normal vector is computed at a point on surface. I'm just researching which way the laid down curve on the surfac support is achieved, when using a point-direction line but with a surface support.

@ TibiX
You know, to know how CATIA works is my aim. I'm not running into a trouble in a design.
Not bad have a look here:
 
Guessing here...

vector L (x,y,z) from line is projected on surface as vector L'(u,v) at point O, line passing by point O on support is define by all point P on S with OP = K x L'

What I noticed:

on a cylinder surface S I create point P
at P I create a line L1 with a compass direction
then I create line L2 on support S with direction L1

using develop I bring L2 on a plane and when I analyze it, it is a line.

if I project L1 on S I have P1, when I develop P1 (as I did with L2), the result is a curve.

Hope this is clear to someone [smile]


Eric N.
indocti discant et ament meminisse periti
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor

Top